/**
 * Copyright (C) 2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.server.error;

import com.funambol.framework.core.StatusCode;

/**
 * Exceptions used to notify "service unavailable" (CODE: 503)
 * @version $Id: ServiceUnavailableException.java,v 1.1 2007/04/06 16:41:10 nichele Exp $
 */
public class ServiceUnavailableException extends ServerException {

    public ServiceUnavailableException(final String msg){
        this(msg, null);
    }

    public ServiceUnavailableException(final Throwable cause) {
        this("", cause);
    }

    public ServiceUnavailableException(final String msg, final Throwable cause){
        super(StatusCode.SERVICE_UNAVAILABLE, msg, cause);
    }
}
